--- title: "Get API access rule" slug: "management-subaccount-getapiaccessrule" tags: ["Sub Account"] updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-getapiaccessrule" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get API access rule Available in Classic and VPC Get a sub account API access rule. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/sub-accounts/{subAccountId}/access-rules/api | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `subAccountId` | String | Required | Sub account ID - See [Get sub account list](/docs/en/management-subaccount-getsubaccounts) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://subaccount.apigw.ntruss.com/api/v1/sub-accounts/2b141960-****-****-****-246e9659184c/access-rules/api' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `useApiAllowSource` | Boolean | - | Whether the accessible source for the API is restricted - `true` \| `false` - `true`: Accessible only from specified sources - `false`: Accessible from all sources | | `apiAllowSources` | Array | - | List of sources accessible via API: [apiAllowSources](/docs/en/management-subaccount-getapiaccessrule#apiAllowSources) | #### `apiAllowSources` The following describes `apiAllowSources`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | - | Access source type - `IP` \| `VPC` \| `VPC_SERVER` - `IP`: Single server IP or IP range including subnet - `VPC`: VPC in use - `VPC_SERVER`: Server in the VPC environment in use | | `source` | String | - | Accessible source information | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "useApiAllowSource": true, "apiAllowSources": [ { "type": "IP", "source": "***.***.***.***" } ] } ```